#!/bin/sh

CONF=Distribution
CONTROL=control
VERSION=`cat $CONTROL | grep Version | cut -d " " -f 2`
PACKAGE=`cat $CONTROL | grep Package | cut -d " " -f 2`
NAME=$PACKAGE-$VERSION

#xcodebuild -sdk iphoneos2.0 -configuration $CONF clean build

mkdir -p $NAME/Applications
cp -pR build/$CONF-iphoneos/*.app $NAME/Applications
mkdir -p $NAME/DEBIAN
cp -pR $CONTROL $NAME/DEBIAN/control
dpkg-deb -b $NAME
rm -rf $NAME

